Github messages for voidlinux
 help / color / mirror / Atom feed
From: voidlinux-github@inbox.vuxu.org
To: ml@inbox.vuxu.org
Subject: Re: [PR PATCH] [Updated] xbps-src: redirect various error msg to stderr
Date: Thu, 18 Jul 2019 09:32:20 +0200	[thread overview]
Message-ID: <20190718073220.Vagk1M7WEt343JNcVWmAFscAG3AW-RHuiaAQFA-5_ck@z> (raw)
In-Reply-To: <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-12962@inbox.vuxu.org>

[-- Attachment #1: Type: text/plain, Size: 394 bytes --]

There is an updated pull request by zdtcd against master on the void-packages repository

https://github.com/zdtcd/void-packages xbps-src
https://github.com/void-linux/void-packages/pull/12962

xbps-src: redirect various error msg to stderr
ref: https://github.com/void-linux/void-packages/issues/12907

A patch file from https://github.com/void-linux/void-packages/pull/12962.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-xbps-src-12962.patch --]
[-- Type: application/text/x-diff, Size: 2260 bytes --]

From 37d4b043479eb74bdbd8e32691197c40b10f2a60 Mon Sep 17 00:00:00 2001
From: Doan Tran Cong Danh <congdanhqx@gmail.com>
Date: Wed, 10 Jul 2019 15:31:21 +0700
Subject: [PATCH] xbps-src: redirect various error msg to stderr

We couldn't use msg_red or msg_error,
since they won't be available until line #680
---
 xbps-src | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

diff --git a/xbps-src b/xbps-src
index 8e07058893e..cf2821586a0 100755
--- a/xbps-src
+++ b/xbps-src
@@ -212,7 +212,7 @@ check_reqhost_utils() {
 
     for f in ${REQHOST_UTILS}; do
         if ! command -v ${f} &>/dev/null; then
-            echo "${f} is missing in your system, can't continue!"
+            echo "${f} is missing in your system, can't continue!" 1>&2
             broken=1
         fi
     done
@@ -221,7 +221,7 @@ check_reqhost_utils() {
 
     for f in ${REQHOST_UTILS_BOOTSTRAP}; do
         if ! command -v ${f} &>/dev/null; then
-            echo "${f} is missing in your system, can't continue!"
+            echo "${f} is missing in your system, can't continue!" 1>&2
             broken=1
         fi
     done
@@ -238,8 +238,8 @@ check_build_requirements() {
     if [ -z "$found" ]; then
         xbps-uhelper cmpver "$XBPS_VERSION" "$XBPS_VERSION_REQ"
         if [ $? -eq 255 ]; then
-            echo "ERROR: requires xbps>=${XBPS_VERSION_REQ}"
-            echo "Bootstrap packages must be updated with 'xbps-src bootstrap-update'"
+            echo "ERROR: requires xbps>=${XBPS_VERSION_REQ}" 1>&2
+            echo "Bootstrap packages must be updated with 'xbps-src bootstrap-update'" 1>&2
             exit 1
         fi
     fi
@@ -501,7 +501,7 @@ fi
 [ ! -d $XBPS_HOSTDIR ] && mkdir -p $XBPS_HOSTDIR
 
 if [ -d "$XBPS_MASTERDIR" -a ! -w "$XBPS_MASTERDIR" ]; then
-    echo "ERROR: can't write to masterdir $XBPS_MASTERDIR."
+    echo "ERROR: can't write to masterdir $XBPS_MASTERDIR." 1>&2
     exit 1
 fi
 
@@ -511,7 +511,7 @@ if command -v chroot-git &>/dev/null; then
 elif command -v git &>/dev/null; then
     XBPS_GIT_CMD=$(command -v git)
 else
-    echo "neither chroot-git or git are available in your system!"
+    echo "neither chroot-git or git are available in your system!" 1>&2
     exit 1
 fi
 readonly XBPS_GIT_CMD

  parent reply	other threads:[~2019-07-18  7:32 UTC|newest]

Thread overview: 8+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-07-10  8:32 [PR PATCH] " voidlinux-github
2019-07-18  6:33 ` voidlinux-github
2019-07-18  7:09 ` voidlinux-github
2019-07-18  7:32 ` [PR PATCH] [Updated] " voidlinux-github
2019-07-18  7:32 ` voidlinux-github [this message]
2019-07-19 10:40 ` voidlinux-github
2019-07-24 13:13 ` voidlinux-github
2019-07-24 13:13 ` [PR PATCH] [Merged]: " voidlinux-github

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20190718073220.Vagk1M7WEt343JNcVWmAFscAG3AW-RHuiaAQFA-5_ck@z \
    --to=voidlinux-github@inbox.vuxu.org \
    --cc=ml@inbox.vuxu.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).